# V1beta1DeploymentStrategy

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**rolling_update** | [**V1beta1RollingUpdateDeployment**](V1beta1RollingUpdateDeployment.md) | Rolling update config params. Present only if DeploymentStrategyType &#x3D; RollingUpdate. | [optional] 
**type** | **str** | Type of deployment. Can be \&quot;Recreate\&quot; or \&quot;RollingUpdate\&quot;. Default is RollingUpdate. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


